org.apache.maven.scm.provider.accurev

## Class FileDifference

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.FileDifference

    public class FileDifference
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FileDifference()`
`FileDifference(long elementId, String newPath, String newVersion, String oldPath, String oldVersion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getElementId()`
`File` `getNewFile()`
`String` `getNewVersionSpec()`
`File` `getOldFile()`
`String` `getOldVersionSpec()`
`int` `hashCode()`
`void` `setElementId(long elementId)`
`void` `setNewVersion(String path, String version)`
`void` `setOldVersion(String path, String version)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileDifference

    public FileDifference(long elementId,
                          String newPath,
                          String newVersion,
                          String oldPath,
                          String oldVersion)

#### FileDifference

    public FileDifference()

### Method Detail

#### getOldVersionSpec

    public String getOldVersionSpec()

#### getOldFile

    public File getOldFile()

#### getNewVersionSpec

    public String getNewVersionSpec()

#### getNewFile

    public File getNewFile()

#### getElementId

    public long getElementId()

#### setElementId

    public void setElementId(long elementId)

#### setNewVersion

    public void setNewVersion(String path,
                              String version)

#### setOldVersion

    public void setOldVersion(String path,
                              String version)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`